import { IUser } from "./models/user";
import { IClient } from "./models/client";
import { ILoginToken } from "./models/login_token";

declare module "express" {
   interface Request {
      user: IUser;
      client: IClient;
      isAdmin: boolean;
      special: boolean;
      token: {
         login: ILoginToken;
         special?: ILoginToken;
      };
   }
}
